Package org.eclipse.gef.editparts

# Class GraphicalRootEditPart

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart
org.eclipse.gef.editparts.GraphicalRootEditPart

All Implemented Interfaces:
  `IAdaptable`, `EditPart`, `LayerManager`, `GraphicalEditPart`, `LayerConstants`, `RequestConstants`, `RootEditPart`

@Deprecated public class GraphicalRootEditPart extends AbstractGraphicalEditPart implements RootEditPart, LayerConstants, LayerManager
Deprecated.
this class will be deleted, use ScrollingGraphicalViewer with ScalableRootEditPart instead
Provides support for representation of any other graphical EditPart. It contains Layers which are used to represent specific type of visual information. The Layers are (1) Primary - Used to hold the main EditPart's Figures. (2) Connection - Used to hold the connections between EditParts. (3) Handle - Takes care of holding handles for EditParts. (4) Feedback - Shows feedback information for the EditParts.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`AbstractEditPart.EditPolicyIterator`

## Nested classes/interfaces inherited from interface org.eclipse.gef.editparts.LayerManager

`LayerManager.Helper`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EditPart`
`contents`
Deprecated.
`protected EditPartViewer`
`viewer`
Deprecated.

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.editparts.LayerManager

`ID`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`GraphicalRootEditPart()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createEditPolicies()`
Deprecated.
`protected org.eclipse.draw2d.IFigure`
`createFigure()`
Deprecated.
`Command`
`getCommand(Request req)`
Deprecated.
`org.eclipse.draw2d.IFigure`
`getContentPane()`
Deprecated.
`EditPart`
`getContents()`
Deprecated.
`DragTracker`
`getDragTracker(Request req)`
Deprecated.
`org.eclipse.draw2d.IFigure`
`getLayer(Object key)`
Deprecated.
`Object`
`getModel()`
Deprecated.
`RootEditPart`
`getRoot()`
Deprecated.
`EditPartViewer`
`getViewer()`
Deprecated.
`protected void`
`refreshChildren()`
Deprecated.
`void`
`setContents(EditPart editpart)`
Deprecated.
`void`
`setViewer(EditPartViewer newViewer)`
Deprecated.

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`activate, addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, deactivate, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getChildren, getFigure, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getEditPolicy, getEditPolicyIterable, getEditPolicyIterator, getEventListeners, getEventListenersIterable, getFlag, getModelChildren, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, performRequest, refreshVisuals, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Field Details

### contents

@Deprecated protected EditPart contents
Deprecated.
The contents

### viewer

@Deprecated protected EditPartViewer viewer
Deprecated.
the viewer

## Constructor Details

### GraphicalRootEditPart

public GraphicalRootEditPart()
Deprecated.

## Method Details

### createEditPolicies

@Deprecated protected void createEditPolicies()
Deprecated.
Description copied from class: `AbstractEditPart`
Creates the initial EditPolicies and/or reserves slots for dynamic ones. Should be implemented to install the initial EditPolicies based on the model's initial state. `null` can be used to reserve a "slot", should there be some desire to guarantee the ordering of EditPolcies.

Specified by:
  `createEditPolicies` in class `AbstractEditPart`
See Also:
  - `AbstractEditPart.createEditPolicies()`

### createFigure

@Deprecated protected org.eclipse.draw2d.IFigure createFigure()
Deprecated.
Description copied from class: `AbstractGraphicalEditPart`
Creates the `Figure` to be used as this part's visuals. This is called from `AbstractGraphicalEditPart.getFigure()` if the figure has not been created.

Specified by:
  `createFigure` in class `AbstractGraphicalEditPart`
Returns:
  a Figure
See Also:
  - `AbstractGraphicalEditPart.createFigure()`

### getCommand

@Deprecated public Command getCommand(Request req)
Deprecated.
Returns the unexecutable command.

Specified by:
  `getCommand` in interface `EditPart`
Overrides:
  `getCommand` in class `AbstractEditPart`
Parameters:
  `req` - the Request
Returns:
  a Command
See Also:
  - `EditPart.getCommand(org.eclipse.gef.Request)`

### getContents

@Deprecated public EditPart getContents()
Deprecated.
Description copied from interface: `RootEditPart`
Returns the contents EditPart. A RootEditPart only has a single child, called its contents.

Specified by:
  `getContents` in interface `RootEditPart`
Returns:
  the contents.
See Also:
  - `RootEditPart.getContents()`

### getDragTracker

@Deprecated public DragTracker getDragTracker(Request req)
Deprecated.
Should never be called.

Specified by:
  `getDragTracker` in interface `EditPart`
Overrides:
  `getDragTracker` in class `AbstractGraphicalEditPart`
Parameters:
  `req` - a `Request` indicating the context of the drag
Returns:
  `null` or a DragTracker
See Also:
  - `EditPart.getDragTracker(org.eclipse.gef.Request)`

### getLayer

@Deprecated public org.eclipse.draw2d.IFigure getLayer(Object key)
Deprecated.
Description copied from class: `AbstractGraphicalEditPart`
A convenience method for obtaining the specified layer from the `LayerManager`.

Specified by:
  `getLayer` in interface `LayerManager`
Overrides:
  `getLayer` in class `AbstractGraphicalEditPart`
Parameters:
  `key` - ID of the Layer
Returns:
  The requested layer or `null` if it doesn't exist
See Also:
  - `LayerManager.getLayer(java.lang.Object)`

### getContentPane

@Deprecated public org.eclipse.draw2d.IFigure getContentPane()
Deprecated.
Returns the primary layer, which will parent the contents editpart.

Specified by:
  `getContentPane` in interface `GraphicalEditPart`
Overrides:
  `getContentPane` in class `AbstractGraphicalEditPart`
Returns:
  the content pane Figure
See Also:
  - `GraphicalEditPart.getContentPane()`

### getModel

@Deprecated public Object getModel()
Deprecated.
Description copied from interface: `EditPart`
Returns the primary model object that this EditPart represents. EditParts may correspond to more than one model object, or even no model object. In practice, the Object returned is used by other EditParts to identify this EditPart. In addition, EditPolicies probably rely on this method to build Commands that operate on the model.

Specified by:
  `getModel` in interface `EditPart`
Overrides:
  `getModel` in class `AbstractEditPart`
Returns:
  `null` or the primary model object
See Also:
  - `EditPart.getModel()`

### getRoot

@Deprecated public RootEditPart getRoot()
Deprecated.
Returns `this`.

Specified by:
  `getRoot` in interface `EditPart`
Overrides:
  `getRoot` in class `AbstractEditPart`
Returns:
  `null` or the `RootEditPart`
See Also:
  - `EditPart.getRoot()`

### getViewer

@Deprecated public EditPartViewer getViewer()
Deprecated.
Description copied from interface: `EditPart`
Convenience method for returning the `EditPartViewer` for this part.

Specified by:
  `getViewer` in interface `EditPart`
Specified by:
  `getViewer` in interface `RootEditPart`
Overrides:
  `getViewer` in class `AbstractEditPart`
Returns:
  the `EditPartViewer` or `null`
See Also:
  - `EditPart.getViewer()`

### refreshChildren

@Deprecated protected void refreshChildren()
Deprecated.
Overridden to do nothing since the child is explicitly set.

Overrides:
  `refreshChildren` in class `AbstractEditPart`
See Also:
  - `AbstractEditPart.refreshChildren()`

### setContents

@Deprecated public void setContents(EditPart editpart)
Deprecated.
Description copied from interface: `RootEditPart`
Sets the contents EditPart. A RootEditPart only has a single child, called its contents.

Specified by:
  `setContents` in interface `RootEditPart`
Parameters:
  `editpart` - the contents
See Also:
  - `RootEditPart.setContents(org.eclipse.gef.EditPart)`

### setViewer

@Deprecated public void setViewer(EditPartViewer newViewer)
Deprecated.
Description copied from interface: `RootEditPart`
Sets the root's EditPartViewer.

Specified by:
  `setViewer` in interface `RootEditPart`
Parameters:
  `newViewer` - the EditPartViewer
See Also:
  - `RootEditPart.setViewer(org.eclipse.gef.EditPartViewer)`